org.richfaces.event

## Class CurrentDateChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.richfaces.event.CurrentDateChangeEvent

- All Implemented Interfaces:
    Serializable

      public class CurrentDateChangeEvent
      extends javax.faces.event.FacesEvent

  Author:
    amarkhel
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentDateChangeEvent(javax.faces.component.UIComponent component, String curentDateString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCurrentDate()`
    `String` | `getCurrentDateString()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`
    `void` | `setCurrentDate(Date currentDate)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentDateChangeEvent

          public CurrentDateChangeEvent(javax.faces.component.UIComponent component,
                                        String curentDateString)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getCurrentDate

          public Date getCurrentDate()

    - #### setCurrentDate

          public void setCurrentDate(Date currentDate)

    - #### getCurrentDateString

          public String getCurrentDateString()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.